Method: advertisers.adGroups.targetingTypes.assignedTargetingOptions.create

Assigns a targeting option to an ad group. Returns the assigned targeting option if successful.

This method is only supported for Demand Gen ad groups.

HTTP request

POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/adGroups/{adGroupId}/targetingTypes/{targetingType}/assignedTargetingOptions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser the ad group belongs to.

adGroupId

string (int64 format)

Required. The ID of the ad group the assigned targeting option will belong to.

targetingType

enum (TargetingType)

Required. Identifies the type of this assigned targeting option.

Supported targeting types:

  • TARGETING_TYPE_AGE_RANGE
  • TARGETING_TYPE_APP
  • TARGETING_TYPE_APP_CATEGORY
  • TARGETING_TYPE_AUDIENCE_GROUP
  • TARGETING_TYPE_CATEGORY
  • TARGETING_TYPE_GENDER
  • TARGETING_TYPE_GEO_REGION
  • TARGETING_TYPE_HOUSEHOLD_INCOME
  • TARGETING_TYPE_KEYWORD
  • TARGETING_TYPE_LANGUAGE
  • TARGETING_TYPE_PARENTAL_STATUS
  • TARGETING_TYPE_URL
  • TARGETING_TYPE_YOUTUBE_CHANNEL
  • TARGETING_TYPE_YOUTUBE_VIDEO

Request body

The request body contains an instance of AssignedTargetingOption.

Response body

If successful, the response body contains a newly created instance of AssignedTargetingOption.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.